using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using RenovationWorkContracts.BindingModels;
using RenovationWorkContracts.SearchModels;
using RenovationWorkContracts.ViewModels;

namespace RenovationWorkContracts.BusinessLogicsContracts
{
    public interface IRepairLogic
    {
        List<RepairViewModel>? ReadList(RepairSearchModel? model);
        RepairViewModel? ReadElement(RepairSearchModel model);
        bool Create(RepairBindingModel model);
        bool Update(RepairBindingModel model);
        bool Delete(RepairBindingModel model);
    }
}
